# $Revision: 1.7 $, $Date: 2010/08/23 19:52:26 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	HTTP_FloodControl
Summary:	%{_pearname} - detect and protect from attempts to flood a site
Summary(pl.UTF-8):	%{_pearname} - wykrywanie i ochrona przed atakami typu flood
Name:		php-pear-%{_pearname}
Version:	0.1.1
Release:	4
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	848fc5590d607b12f480faaf84fbf7c5
URL:		http://pear.php.net/package/HTTP_FloodControl/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.571
Requires:	php-pear
Requires:	php-pear-PEAR-core
Requires:	php-pear-PEAR_Exception >= 1.3.3
Suggests:	php-pear-DB
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(DB.*)'  'pear(MDB.*)'  'pear(MDB2.*)'

%description
The HTTP_FloodControl package can be used to detect and protect a Web
site from attempts to flood it with too many requests. It also allows
to protect the site from automatic downloading many pages or files
from the same IP address, session ID or other unique identifier.

The detection of flood is determine according to a set of parameters
indicating the maximal allowed number of requests for the certain time
interval. It is possible to set several parameters at once in order to
perform more effective protection.

The package uses various storage containers (regular files, DB, MDB,
MDB2) to handle counter logs.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa HTTP_FloodControl może być użyta do wykrycia i ochrony stron WWW
przed próbami przepełnienia ich zbyt dużą ilością zapytań. Pozwala
także na ochronę serwisu przed automatycznym ściąganiem wielu stron
przez klienta identyfikowanego na podstawie adresu IP, identyfikatora
sesji bądź innego unikalnego identyfikatora.

Flood wykrywany jest na podstawie zestawu parametrów określających
maksymalną dozwoloną liczbę zapytań w zadanym przedziale czasowym.
Możliwe jest określenie wielu parametrów jednocześnie w celu
zapewnienia skutecznej ochrony.

Pakiet ten może skorzystać z różnych kontenerów danych (pliki, DB,
MDB, MDB2) w celu przechowywania logów liczników.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/HTTP
%pear_package_install
mv -f $RPM_BUILD_ROOT%{php_pear_dir}/{Flood*,HTTP}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTTP/FloodControl.php
%{php_pear_dir}/HTTP/FloodControl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_FloodControl.spec,v $
Revision 1.7  2010/08/23 19:52:26  glen
- newer macros

Revision 1.6  2010/08/22 08:51:10  glen
- ensure rpmbuild macros present

Revision 1.5  2010/08/21 19:09:10  glen
- updated deps with pearize.sh
- release 4

Revision 1.4  2008/04/01 21:00:01  qboosh
- pl fixes

Revision 1.3  2008-01-31 12:16:49  glen
- rel 3

Revision 1.2  2007-09-06 23:33:09  adamg
- dep and files fixes; release 2

Revision 1.1  2007/09/02 21:24:01  adamg
- new
